#ifndef PULTWINDOW_ANDROID_H
#define PULTWINDOW_ANDROID_H

#include "pultwindow_base.h"
#include <QPropertyAnimation>


class PultWindowAndroid: public PultWindowBase {
	Q_OBJECT
	Q_PROPERTY(float _sideVal READ _sideVal WRITE _setSideVal)

public:
	PultWindowAndroid(QWidget * parent = 0);
	~PultWindowAndroid();

	float _sideVal() const {return side_val;}

protected:
	virtual bool eventFilter(QObject * o, QEvent * e);
	virtual void resizeEvent(QResizeEvent * );
	bool backTriggered();

	virtual void setForm(QWidget * );
	virtual void unsetForm();
	void animSide(float tv);

	QWidget * side, * handle, * shadow;
	QWidgetList buttons_list;
	QPropertyAnimation anim;
	QPoint pp;
	float side_val;
	bool moving;

public slots:
	void _setSideVal(float v);
	void animSideShow() {animSide(1.f);}
	void animSideHide() {animSide(0.f);}

};

#endif // PULTWINDOW_ANDROID_H
